Installing RDKit

Hi,

I'm a bit of a newbie to Knime and would like to install the RDKit node, but I get the following error message:

Cannot complete the install because one or more required items could not be found.
  Software being installed: RDKit KNIME integration 1.0.0.0000886 (org.rdkit.knime.feature.feature.group 1.0.0.0000886)
  Missing requirement for filter properties ~= $0: RDKit Chemistry Type Definition Plugin 1.0.0.0000866 (org.rdkit.knime.types 1.0.0.0000866) requires 'org.rdkit.knime.bin.win32.x86_64 0.0.0' but it could not be found
  Cannot satisfy dependency:
    From: RDKit KNIME integration 1.0.0.0000886 (org.rdkit.knime.feature.feature.group 1.0.0.0000886)
    To: org.rdkit.knime.types [1.0.0.0000866]

Any help would be appreciated.


A

Hi Angus,

The RDKit nodes are unfortunately not available for the 64bit windows version of Knime.

-greg

Are there any plans for implementing them for the 64-bit version?

 

Thanks

-Dave

I've encountered technical problems building the RDKit pieces that the nodes require on 64bit windows. I am working on getting this fixed, but it's relatively low priority and I'm really not sure how long it will take.

-greg

Greg,

I recently tried to install the RDkit as well and obtained a similar error message. Is this the same issue as reported previously and if so, would it be possible to rectify this problem. The RDKit looks very attractive indeed!!.

Regards,

Wolfgang

Cannot complete the install because one or more required items could not be found.

Software being installed: RDKit KNIME integration 2.0.0.201111041714 (org.rdkit.knime.feature.feature.group 2.0.0.201111041714)  Missing requirement for filter properties ~= $0: RDKit Chemistry Type Definition Plugin 2.0.0.201110081304 (org.rdkit.knime.types 2.0.0.201110081304) requires 'org.rdkit.knime.bin.win32.x86_64 0.0.0' but it could not be found

  Cannot satisfy dependency:   

From: RDKit KNIME integration 2.0.0.201111041714 (org.rdkit.knime.feature.feature.group 2.0.0.201111041714)

    To: org.rdkit.knime.types [2.0.0.201110081304]

The 64Bit-Windows version is not yet available in the stable release. You can try out the nightly build, though. It includes a 64Bit-Windows version which should work fairly well.

thank you, I managed to install it now